Subject: Re: bug#41030: [PATCH] Make EWW respect XDG download directory by default

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 May 2020 17:32:27 -0400

"Basil L. Contovounesios" <[email-masked]> writes:

>>> -(defcustom eww-download-directory "~/Downloads/"
>>> +(defcustom eww-download-directory (or (xdg-user-dir "DOWNLOAD")
>>> +                                      "~/Downloads/")
>>
>> This makes sense conceptually.  However, on my machine, evaluating
>> (xdg-user-dir "DOWNLOAD") just returns $HOME.  That's a worse default
>> than "~/Downloads/", no?
>>
>> But I don't know enough about the XDG standard to propose a solution.
>> Nor do I know if this is because my setup is particularly unusual.
>
> It sounds like it could be specific to your environment; have a look at
> 'man 1 xdg-user-dirs-update'.

In my use-case, I don't think I have ever touched any of this stuff.
Not AFAIR, anyways.

So I wonder if the suggested code would mean to never use
"~/Downloads", since xdg-user-dir will always return something else?

Best regards,
Stefan Kangas